<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="advertise_parameter.aspx.cs" Inherits="YXShop.Web.admin.templates.lable.advertise_parameter" %>

<%@ Register Assembly="FredCK.FCKeditorV2" Namespace="FredCK.FCKeditorV2" TagPrefix="FCKeditorV2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>无标题页</title>
    <link href="../../style/admin.css" rel="stylesheet" type="text/css" />
 <script language="JavaScript" type="text/javascript" src="../../../configuration/js/Prototype.js"></script>
<script language="JavaScript" type="text/javascript" src="../../../configuration/js/Public.js"></script>
<script src="../../../editor/fckeditor.js" type="text/javascript"></script>
<script language="javascript" type="text/javascript">
function filename(str)
{
    document.getElementById("txtFileName").value=str;
}
function ReturnValue()
{
    var FileName = document.getElementById("txtFileName").value;
	var cnm ="[YX:Loop,YX:LableType=OtherSetup,YX:Option=Advertise]"+FileName+"[/YX:Loop]";
	 parent.getValue(cnm);
	 CloseDiv();
}

function getValue(value)
{
    if(value!="") 
    {
        var oEditor = FCKeditorAPI.GetInstance("fckLabelContent");
        if (oEditor.EditMode==FCK_EDITMODE_WYSIWYG)
        {
           oEditor.InsertHtml(value);
           
        }
        
        else
        {
        return false;
        }
    }
}
function CloseDiv()
{
    parent.document.getElementById("LabelDivid").style.display="none";
}

</script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    <table style="width: 100%;" class="form_table_input" >
            <tr>
                <td>
                    JS文件名：<asp:TextBox ID="txtFileName" runat="server" ReadOnly="true"></asp:TextBox>
                    <input id="bt_back" type="button" value="提交" onclick="ReturnValue()" />
                    &nbsp;<input class="form" type="button" value="关闭"  onclick="javascript:CloseDiv();" />
                </td>
            </tr>
        </table>
        <asp:Literal ID="Literal1" runat="server"></asp:Literal>
    </div>
    </form>
</body>
</html>